Package org.gradle.plugins.ide.idea.model

## Class IdeaLanguageLevel

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.IdeaLanguageLevel

-     public class IdeaLanguageLevel
      extends Object

  Java language level used by IDEA projects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdeaLanguageLevel​(Object version)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getLevel()` |
    `int` | `hashCode()` |
    `void` | `setLevel​(String level)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdeaLanguageLevel

          public IdeaLanguageLevel​(Object version)

  - ### Method Detail

    - #### getLevel

          public String getLevel()

    - #### setLevel

          public void setLevel​(String level)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`